Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.localization
Class LocalizationToolTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.services.localization.LocalizationToolTest

All Implemented Interfaces:
  junit.framework.Test

    public class LocalizationToolTest

extends BaseTestCase

Unit test for Localization Tool. Verifies that localization works the same using the deprecated Turbine localization service as well as the new Fulcrum Localization component.

Version:
  $Id: LocalizationToolTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Eric Pugh

Constructor Summary
`LocalizationToolTest(String name)`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testGet()`
`void` | `testGetLocale()`
`void` | `testInit()`
`void` | `testRefresh()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalizationToolTest

    public LocalizationToolTest(String name)
                         throws Exception

Throws:
  `Exception`

Method Detail

### testGet

    public void testGet()
                 throws Exception

  Throws:
    `Exception`

### testGetLocale

    public void testGetLocale()
                       throws Exception

  Throws:
    `Exception`

### testInit

    public void testInit()
                  throws Exception

  Throws:
    `Exception`

### testRefresh

    public void testRefresh()
                     throws Exception

  Throws:
    `Exception`

### setUp

    public void setUp()
               throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.